Skip to contentSkip to navigationSkip to topbar
Page toolsOn this pageProducts used
Looking for more inspiration?Visit the
Warning
Twilio error

40153: Absolute Paging used when iterating TaskRouter resources

Twilio TaskRouter DocumentationTaskRouter

Description

description page anchor

The absolute paging query type that is being used has been deprecated. Starting Dec. 1, 2021 we will no longer return data for this query, and instead return a 400-response for requests of query type /Workers?Page=&PageSize=.

Please update your application to instead utilize relative paging: /Workers?PageToken=PA<task_sid>, where <task_sid> is the last item of the current page.

Possible causes

possible-causes page anchor

Not using the latest Twilio helper libraries. Constructing requests directly which use Page & PageSize query parameters directly.

Utilize the latest Twilio helper libraries. Rely upon the PageToken instead of the Page Number for paging.